### Function

# FwupdPlugin sum32_bytes

since: 1.8.2

#### Declaration [src]

    guint32
    fu_sum32_bytes (
      GBytes* blob
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `blob`, adding them one byte at a time.

Available since: 1.8.2

#### Parameters

`blob`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `guint32`

Sum value.